#include <syscall.h>

#define __KERNEL__ 
#include <sys/shm.h>

static inline
_syscall5(int,ipc,int,call,int,first,int,second,int,third,void *,ptr)

int
shmctl (int shmid, int cmd, struct shmid_ds *buf)
{
    return ipc (SHMCTL, shmid, cmd, 0, buf);
}
